public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/
@ 2023-02-24  7:30 Andrew Ammerlaan
  0 siblings, 0 replies; 20+ messages in thread
From: Andrew Ammerlaan @ 2023-02-24  7:30 UTC (permalink / raw
  To: gentoo-commits

commit:     d0d613f06aae55ab73f71229d00724034ca3c765
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 24 07:10:27 2023 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Fri Feb 24 07:10:27 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0d613f0

sci-biology/biopython: add 1.81

Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 sci-biology/biopython/Manifest              |  1 +
 sci-biology/biopython/biopython-1.81.ebuild | 61 +++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/sci-biology/biopython/Manifest b/sci-biology/biopython/Manifest
index 014c48aa8401..c693a5a8a963 100644
--- a/sci-biology/biopython/Manifest
+++ b/sci-biology/biopython/Manifest
@@ -1 +1,2 @@
 DIST biopython-1.79.tar.gz 16738730 BLAKE2B 8c97fc23e458f7bc98b0ed0226bd6fb42f6c6f3ce03d562b13fac66c5061451595cd5bd01cad07bbe1fc6b20f4de21b0f03766b5a20e602545da888047a57185 SHA512 81e2718f4015bb038637b4d1181e6bea48018fec1e769c5f0ab75442a769336899191f1222e82e1b9569c1fac470500d7582420e5cbe9bce0056b41751adeaaa
+DIST biopython-1.81.tar.gz 19324875 BLAKE2B be3a85f5b60638987d6186af498411b494f8d27389f24cd1b9e658bc6b1a29c799ec8b20a9ac0b955c6d4c239706f4dbb5b75f6d56908f63d731b1d56c9fd587 SHA512 1595fad6631bfb6cf4e1a92ed72e6093e2a0c24f3c0bd4182267ec9742fb03dff16099eedde139598aa6b5b8380bbac9e48246cb9ab8b44109333d60adfd00ed

diff --git a/sci-biology/biopython/biopython-1.81.ebuild b/sci-biology/biopython/biopython-1.81.ebuild
new file mode 100644
index 000000000000..8b90d610c6ae
--- /dev/null
+++ b/sci-biology/biopython/biopython-1.81.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="Python modules for computational molecular biology"
+HOMEPAGE="https://www.biopython.org/ https://pypi.org/project/biopython/"
+
+LICENSE="HPND"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+	dev-python/matplotlib[${PYTHON_USEDEP}]
+	dev-python/networkx[${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/rdflib[${PYTHON_USEDEP}]
+	dev-python/pygraphviz[${PYTHON_USEDEP}]
+	>=dev-python/reportlab-3.5.13-r1[${PYTHON_USEDEP}]
+	dev-python/pydot[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+BDEPEND="sys-devel/flex"
+
+DOCS=( {CONTRIB,DEPRECATED,NEWS,README}.rst Doc/. )
+
+python_test() {
+	distutils_install_for_testing
+	cp -r {Doc,Tests} "${TEST_DIR}"/lib/ || die
+
+	# need to create symlinks for doctests
+	mkdir -p "${TEST_DIR}"/lib/Bio/Align || die
+	ln -r -s "${S}"/Bio/Align/substitution_matrices \
+		"${TEST_DIR}"/lib/Bio/Align/substitution_matrices || die
+
+	cd "${TEST_DIR}"/lib/Tests || die
+	rm test_BioSQL_{psycopg2.py,MySQLdb.py,mysql_connector.py} || die
+	"${EPYTHON}" run_tests.py --offline --verbose || die
+}
+
+python_install_all() {
+	# remove files causing ecompressdir to fail
+	rm Doc/examples/ls_orchid.gbk.{gz,bz2} || die
+
+	distutils-r1_python_install_all
+
+	dodir /usr/share/${PN}
+	cp -r --preserve=mode Scripts Tests "${ED}"/usr/share/${PN} || die
+}
+
+pkg_postinst() {
+	optfeature_header "For database support you need to install:"
+	optfeature "MySQL database support" dev-python/mysqlclient
+	optfeature "PostgreSQL database support" dev-python/psycopg:2
+
+	optfeature_header "Some applications need extra packages:"
+	optfeature "EMBOSS (The European Molecular Biology Open Software Suite)" sci-biology/emboss
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/
@ 2024-06-05 17:27 Alexey Shvetsov
  0 siblings, 0 replies; 20+ messages in thread
From: Alexey Shvetsov @ 2024-06-05 17:27 UTC (permalink / raw
  To: gentoo-commits

commit:     bf920df09e1d30717925a72a5ada7a10557b2105
Author:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Wed Jun  5 17:22:07 2024 +0000
Commit:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Wed Jun  5 17:22:07 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf920df0

sci-biology/biopython: enable py3.12

Signed-off-by: Alexey Shvetsov <alexxy <AT> gentoo.org>

 sci-biology/biopython/biopython-1.81-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-biology/biopython/biopython-1.81-r1.ebuild b/sci-biology/biopython/biopython-1.81-r1.ebuild
index f4fd86ba3ffb..96d83b74b492 100644
--- a/sci-biology/biopython/biopython-1.81-r1.ebuild
+++ b/sci-biology/biopython/biopython-1.81-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_COMPAT=( python3_{10..12} )
 DISTUTILS_USE_PEP517="setuptools"
 DISTUTILS_EXT=1
 


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/
@ 2023-07-29 22:16 David Seifert
  0 siblings, 0 replies; 20+ messages in thread
From: David Seifert @ 2023-07-29 22:16 UTC (permalink / raw
  To: gentoo-commits

commit:     a5230ca9d6b5203c8a3177f25f39bdf2a555745c
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 29 22:16:16 2023 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Jul 29 22:16:16 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5230ca9

sci-biology/biopython: drop 1.81

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-biology/biopython/biopython-1.81.ebuild | 61 -----------------------------
 1 file changed, 61 deletions(-)

diff --git a/sci-biology/biopython/biopython-1.81.ebuild b/sci-biology/biopython/biopython-1.81.ebuild
deleted file mode 100644
index 8b90d610c6ae..000000000000
--- a/sci-biology/biopython/biopython-1.81.ebuild
+++ /dev/null
@@ -1,61 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{9..11} )
-
-inherit distutils-r1 optfeature pypi
-
-DESCRIPTION="Python modules for computational molecular biology"
-HOMEPAGE="https://www.biopython.org/ https://pypi.org/project/biopython/"
-
-LICENSE="HPND"
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-
-RDEPEND="
-	dev-python/matplotlib[${PYTHON_USEDEP}]
-	dev-python/networkx[${PYTHON_USEDEP}]
-	dev-python/numpy[${PYTHON_USEDEP}]
-	dev-python/rdflib[${PYTHON_USEDEP}]
-	dev-python/pygraphviz[${PYTHON_USEDEP}]
-	>=dev-python/reportlab-3.5.13-r1[${PYTHON_USEDEP}]
-	dev-python/pydot[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}"
-BDEPEND="sys-devel/flex"
-
-DOCS=( {CONTRIB,DEPRECATED,NEWS,README}.rst Doc/. )
-
-python_test() {
-	distutils_install_for_testing
-	cp -r {Doc,Tests} "${TEST_DIR}"/lib/ || die
-
-	# need to create symlinks for doctests
-	mkdir -p "${TEST_DIR}"/lib/Bio/Align || die
-	ln -r -s "${S}"/Bio/Align/substitution_matrices \
-		"${TEST_DIR}"/lib/Bio/Align/substitution_matrices || die
-
-	cd "${TEST_DIR}"/lib/Tests || die
-	rm test_BioSQL_{psycopg2.py,MySQLdb.py,mysql_connector.py} || die
-	"${EPYTHON}" run_tests.py --offline --verbose || die
-}
-
-python_install_all() {
-	# remove files causing ecompressdir to fail
-	rm Doc/examples/ls_orchid.gbk.{gz,bz2} || die
-
-	distutils-r1_python_install_all
-
-	dodir /usr/share/${PN}
-	cp -r --preserve=mode Scripts Tests "${ED}"/usr/share/${PN} || die
-}
-
-pkg_postinst() {
-	optfeature_header "For database support you need to install:"
-	optfeature "MySQL database support" dev-python/mysqlclient
-	optfeature "PostgreSQL database support" dev-python/psycopg:2
-
-	optfeature_header "Some applications need extra packages:"
-	optfeature "EMBOSS (The European Molecular Biology Open Software Suite)" sci-biology/emboss
-}


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/
@ 2023-04-16 12:36 David Seifert
  0 siblings, 0 replies; 20+ messages in thread
From: David Seifert @ 2023-04-16 12:36 UTC (permalink / raw
  To: gentoo-commits

commit:     a41f49e0eec39e31152d2829b0131417cb86850c
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 16 12:35:20 2023 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Apr 16 12:35:20 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a41f49e0

sci-biology/biopython: drop 1.79

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-biology/biopython/Manifest              |  1 -
 sci-biology/biopython/biopython-1.79.ebuild | 62 -----------------------------
 2 files changed, 63 deletions(-)

diff --git a/sci-biology/biopython/Manifest b/sci-biology/biopython/Manifest
index c693a5a8a963..0c16022dea2c 100644
--- a/sci-biology/biopython/Manifest
+++ b/sci-biology/biopython/Manifest
@@ -1,2 +1 @@
-DIST biopython-1.79.tar.gz 16738730 BLAKE2B 8c97fc23e458f7bc98b0ed0226bd6fb42f6c6f3ce03d562b13fac66c5061451595cd5bd01cad07bbe1fc6b20f4de21b0f03766b5a20e602545da888047a57185 SHA512 81e2718f4015bb038637b4d1181e6bea48018fec1e769c5f0ab75442a769336899191f1222e82e1b9569c1fac470500d7582420e5cbe9bce0056b41751adeaaa
 DIST biopython-1.81.tar.gz 19324875 BLAKE2B be3a85f5b60638987d6186af498411b494f8d27389f24cd1b9e658bc6b1a29c799ec8b20a9ac0b955c6d4c239706f4dbb5b75f6d56908f63d731b1d56c9fd587 SHA512 1595fad6631bfb6cf4e1a92ed72e6093e2a0c24f3c0bd4182267ec9742fb03dff16099eedde139598aa6b5b8380bbac9e48246cb9ab8b44109333d60adfd00ed

diff --git a/sci-biology/biopython/biopython-1.79.ebuild b/sci-biology/biopython/biopython-1.79.ebuild
deleted file mode 100644
index c6a93b3af58d..000000000000
--- a/sci-biology/biopython/biopython-1.79.ebuild
+++ /dev/null
@@ -1,62 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{9..10} )
-
-inherit distutils-r1 optfeature
-
-DESCRIPTION="Python modules for computational molecular biology"
-HOMEPAGE="https://www.biopython.org/ https://pypi.org/project/biopython/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="HPND"
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-
-RDEPEND="
-	dev-python/matplotlib[${PYTHON_USEDEP}]
-	dev-python/networkx[${PYTHON_USEDEP}]
-	dev-python/numpy[${PYTHON_USEDEP}]
-	dev-python/rdflib[${PYTHON_USEDEP}]
-	dev-python/pygraphviz[${PYTHON_USEDEP}]
-	>=dev-python/reportlab-3.5.13-r1[${PYTHON_USEDEP}]
-	dev-python/pydot[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}"
-BDEPEND="sys-devel/flex"
-
-DOCS=( {CONTRIB,DEPRECATED,NEWS,README}.rst Doc/. )
-
-python_test() {
-	distutils_install_for_testing
-	cp -r {Doc,Tests} "${TEST_DIR}"/lib/ || die
-
-	# need to create symlinks for doctests
-	mkdir -p "${TEST_DIR}"/lib/Bio/Align || die
-	ln -r -s "${S}"/Bio/Align/substitution_matrices \
-		"${TEST_DIR}"/lib/Bio/Align/substitution_matrices || die
-
-	cd "${TEST_DIR}"/lib/Tests || die
-	rm test_BioSQL_{psycopg2.py,MySQLdb.py,mysql_connector.py} || die
-	"${EPYTHON}" run_tests.py --offline --verbose || die
-}
-
-python_install_all() {
-	# remove files causing ecompressdir to fail
-	rm Doc/examples/ls_orchid.gbk.{gz,bz2} || die
-
-	distutils-r1_python_install_all
-
-	dodir /usr/share/${PN}
-	cp -r --preserve=mode Scripts Tests "${ED}"/usr/share/${PN} || die
-}
-
-pkg_postinst() {
-	optfeature_header "For database support you need to install:"
-	optfeature "MySQL database support" dev-python/mysqlclient
-	optfeature "PostgreSQL database support" dev-python/psycopg:2
-
-	optfeature_header "Some applications need extra packages:"
-	optfeature "EMBOSS (The European Molecular Biology Open Software Suite)" sci-biology/emboss
-}


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/
@ 2022-06-04  7:42 Michał Górny
  0 siblings, 0 replies; 20+ messages in thread
From: Michał Górny @ 2022-06-04  7:42 UTC (permalink / raw
  To: gentoo-commits

commit:     09c5ece62c0bca2fbcb4f39162b25862f4c10d83
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jun  4 07:08:05 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jun  4 07:41:58 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=09c5ece6

sci-biology/biopython: Use slot for dev-python/psycopg

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 sci-biology/biopython/biopython-1.79.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sci-biology/biopython/biopython-1.79.ebuild b/sci-biology/biopython/biopython-1.79.ebuild
index cef9a670130a..a2939330806e 100644
--- a/sci-biology/biopython/biopython-1.79.ebuild
+++ b/sci-biology/biopython/biopython-1.79.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -55,7 +55,7 @@ python_install_all() {
 pkg_postinst() {
 	optfeature_header "For database support you need to install:"
 	optfeature "MySQL database support" dev-python/mysqlclient
-	optfeature "PostgreSQL database support" dev-python/psycopg
+	optfeature "PostgreSQL database support" dev-python/psycopg:2
 
 	optfeature_header "Some applications need extra packages:"
 	optfeature "EMBOSS (The European Molecular Biology Open Software Suite)" sci-biology/emboss


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/
@ 2021-12-30 18:12 David Seifert
  0 siblings, 0 replies; 20+ messages in thread
From: David Seifert @ 2021-12-30 18:12 UTC (permalink / raw
  To: gentoo-commits

commit:     3ca7e670a753666e8f51fc8f34f038bf18e07a69
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 30 18:12:11 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Dec 30 18:12:11 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ca7e670

sci-biology/biopython: drop 1.77

Closes: https://bugs.gentoo.org/757867
Closes: https://bugs.gentoo.org/780345
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-biology/biopython/Manifest              |  1 -
 sci-biology/biopython/biopython-1.77.ebuild | 61 -----------------------------
 2 files changed, 62 deletions(-)

diff --git a/sci-biology/biopython/Manifest b/sci-biology/biopython/Manifest
index 9bc0eede97dc..014c48aa8401 100644
--- a/sci-biology/biopython/Manifest
+++ b/sci-biology/biopython/Manifest
@@ -1,2 +1 @@
-DIST biopython-1.77.tar.gz 16837021 BLAKE2B b5586f0ea3e476b11801dcc98039d5eea7b191e11d390192c0cf348018ded005fe2ad5dc9ba71c83aebc9cdde20c97244905dcc3aeb5436a97588da9f8c79c3e SHA512 6f4b03d46c591e1f49dd1e76bcc4ac5c9aaa2bf748c9dd37ffc5de5a613fbeed38f89b418c01601dd99c65b13b2e294bc8d81ffafc42a9ff1b309c84f840d0d5
 DIST biopython-1.79.tar.gz 16738730 BLAKE2B 8c97fc23e458f7bc98b0ed0226bd6fb42f6c6f3ce03d562b13fac66c5061451595cd5bd01cad07bbe1fc6b20f4de21b0f03766b5a20e602545da888047a57185 SHA512 81e2718f4015bb038637b4d1181e6bea48018fec1e769c5f0ab75442a769336899191f1222e82e1b9569c1fac470500d7582420e5cbe9bce0056b41751adeaaa

diff --git a/sci-biology/biopython/biopython-1.77.ebuild b/sci-biology/biopython/biopython-1.77.ebuild
deleted file mode 100644
index 1dcbc2101c45..000000000000
--- a/sci-biology/biopython/biopython-1.77.ebuild
+++ /dev/null
@@ -1,61 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7..9} )
-
-inherit distutils-r1 optfeature
-
-DESCRIPTION="Python modules for computational molecular biology"
-HOMEPAGE="https://www.biopython.org/ https://pypi.org/project/biopython/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="HPND"
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-
-RDEPEND="
-	dev-python/matplotlib[${PYTHON_USEDEP}]
-	dev-python/networkx[${PYTHON_USEDEP}]
-	dev-python/numpy[${PYTHON_USEDEP}]
-	dev-python/rdflib[${PYTHON_USEDEP}]
-	dev-python/pygraphviz[${PYTHON_USEDEP}]
-	>=dev-python/reportlab-3.5.13-r1[${PYTHON_USEDEP}]
-	dev-python/pydot[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}"
-BDEPEND="sys-devel/flex"
-
-DOCS=( {CONTRIB,DEPRECATED,NEWS,README}.rst Doc/. )
-
-python_test() {
-	distutils_install_for_testing
-	cp -r {Doc,Tests} "${TEST_DIR}"/lib/ || die
-
-	# need to create symlinks for doctests
-	mkdir -p "${TEST_DIR}"/lib/Bio/Align/substitution_matrices || die
-	ln -r -s "${S}"/Bio/Align/substitution_matrices/data \
-		"${TEST_DIR}"/lib/Bio/Align/substitution_matrices/data || die
-
-	cd "${TEST_DIR}"/lib/Tests || die
-	rm test_BioSQL_{psycopg2.py,MySQLdb.py,mysql_connector.py} || die
-	"${EPYTHON}" run_tests.py --offline --verbose || die
-}
-
-python_install_all() {
-	# remove files causing ecompressdir to fail
-	rm Doc/examples/ls_orchid.gbk.{gz,bz2} || die
-
-	distutils-r1_python_install_all
-
-	dodir /usr/share/${PN}
-	cp -r --preserve=mode Scripts Tests "${ED}"/usr/share/${PN} || die
-}
-
-pkg_postinst() {
-	optfeature_header "For database support you need to install:"
-	optfeature "MySQL database support" dev-python/mysql-python
-	optfeature "PostgreSQL database support" dev-python/psycopg
-	optfeature_header "Some applications need extra packages:"
-	optfeature "EMBOSS (The European Molecular Biology Open Software Suite)" sci-biology/emboss
-}


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/
@ 2021-12-20 13:33 David Seifert
  0 siblings, 0 replies; 20+ messages in thread
From: David Seifert @ 2021-12-20 13:33 UTC (permalink / raw
  To: gentoo-commits

commit:     de858ae7cf457b2ef508edce83f809403346ac0f
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 20 13:32:52 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Dec 20 13:32:52 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de858ae7

sci-biology/biopython: add 1.79

Bug: https://bugs.gentoo.org/757867
Bug: https://bugs.gentoo.org/780345
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-biology/biopython/Manifest              |  1 +
 sci-biology/biopython/biopython-1.79.ebuild | 62 +++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/sci-biology/biopython/Manifest b/sci-biology/biopython/Manifest
index 420f6d1f83d8..9bc0eede97dc 100644
--- a/sci-biology/biopython/Manifest
+++ b/sci-biology/biopython/Manifest
@@ -1 +1,2 @@
 DIST biopython-1.77.tar.gz 16837021 BLAKE2B b5586f0ea3e476b11801dcc98039d5eea7b191e11d390192c0cf348018ded005fe2ad5dc9ba71c83aebc9cdde20c97244905dcc3aeb5436a97588da9f8c79c3e SHA512 6f4b03d46c591e1f49dd1e76bcc4ac5c9aaa2bf748c9dd37ffc5de5a613fbeed38f89b418c01601dd99c65b13b2e294bc8d81ffafc42a9ff1b309c84f840d0d5
+DIST biopython-1.79.tar.gz 16738730 BLAKE2B 8c97fc23e458f7bc98b0ed0226bd6fb42f6c6f3ce03d562b13fac66c5061451595cd5bd01cad07bbe1fc6b20f4de21b0f03766b5a20e602545da888047a57185 SHA512 81e2718f4015bb038637b4d1181e6bea48018fec1e769c5f0ab75442a769336899191f1222e82e1b9569c1fac470500d7582420e5cbe9bce0056b41751adeaaa

diff --git a/sci-biology/biopython/biopython-1.79.ebuild b/sci-biology/biopython/biopython-1.79.ebuild
new file mode 100644
index 000000000000..cef9a670130a
--- /dev/null
+++ b/sci-biology/biopython/biopython-1.79.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python modules for computational molecular biology"
+HOMEPAGE="https://www.biopython.org/ https://pypi.org/project/biopython/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="HPND"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+	dev-python/matplotlib[${PYTHON_USEDEP}]
+	dev-python/networkx[${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/rdflib[${PYTHON_USEDEP}]
+	dev-python/pygraphviz[${PYTHON_USEDEP}]
+	>=dev-python/reportlab-3.5.13-r1[${PYTHON_USEDEP}]
+	dev-python/pydot[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+BDEPEND="sys-devel/flex"
+
+DOCS=( {CONTRIB,DEPRECATED,NEWS,README}.rst Doc/. )
+
+python_test() {
+	distutils_install_for_testing
+	cp -r {Doc,Tests} "${TEST_DIR}"/lib/ || die
+
+	# need to create symlinks for doctests
+	mkdir -p "${TEST_DIR}"/lib/Bio/Align || die
+	ln -r -s "${S}"/Bio/Align/substitution_matrices \
+		"${TEST_DIR}"/lib/Bio/Align/substitution_matrices || die
+
+	cd "${TEST_DIR}"/lib/Tests || die
+	rm test_BioSQL_{psycopg2.py,MySQLdb.py,mysql_connector.py} || die
+	"${EPYTHON}" run_tests.py --offline --verbose || die
+}
+
+python_install_all() {
+	# remove files causing ecompressdir to fail
+	rm Doc/examples/ls_orchid.gbk.{gz,bz2} || die
+
+	distutils-r1_python_install_all
+
+	dodir /usr/share/${PN}
+	cp -r --preserve=mode Scripts Tests "${ED}"/usr/share/${PN} || die
+}
+
+pkg_postinst() {
+	optfeature_header "For database support you need to install:"
+	optfeature "MySQL database support" dev-python/mysqlclient
+	optfeature "PostgreSQL database support" dev-python/psycopg
+
+	optfeature_header "Some applications need extra packages:"
+	optfeature "EMBOSS (The European Molecular Biology Open Software Suite)" sci-biology/emboss
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/
@ 2021-04-04 18:55 Andreas Sturmlechner
  0 siblings, 0 replies; 20+ messages in thread
From: Andreas Sturmlechner @ 2021-04-04 18:55 UTC (permalink / raw
  To: gentoo-commits

commit:     4cfced047715b0602b68bb064f16e2882165c77f
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  3 11:05:35 2021 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Apr  4 18:55:06 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4cfced04

sci-biology/biopython: Use optfeature_header() instead of custom elog

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 sci-biology/biopython/biopython-1.77.ebuild | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

diff --git a/sci-biology/biopython/biopython-1.77.ebuild b/sci-biology/biopython/biopython-1.77.ebuild
index 387404a1aed..1dcbc2101c4 100644
--- a/sci-biology/biopython/biopython-1.77.ebuild
+++ b/sci-biology/biopython/biopython-1.77.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -53,10 +53,9 @@ python_install_all() {
 }
 
 pkg_postinst() {
-	elog "For database support you need to install:"
-	optfeature "MySQL" dev-python/mysql-python
-	optfeature "PostgreSQL" dev-python/psycopg
-
-	elog "Some applications need extra packages:"
+	optfeature_header "For database support you need to install:"
+	optfeature "MySQL database support" dev-python/mysql-python
+	optfeature "PostgreSQL database support" dev-python/psycopg
+	optfeature_header "Some applications need extra packages:"
 	optfeature "EMBOSS (The European Molecular Biology Open Software Suite)" sci-biology/emboss
 }


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/
@ 2020-09-07  8:55 David Seifert
  0 siblings, 0 replies; 20+ messages in thread
From: David Seifert @ 2020-09-07  8:55 UTC (permalink / raw
  To: gentoo-commits

commit:     395db0fe0b9edde5afb9ffd612e3f1b31cfc49fc
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  7 08:53:45 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Sep  7 08:53:45 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=395db0fe

sci-biology/biopython: Inherit optfeature.eclass

Package-Manager: Portage-3.0.5, Repoman-3.0.1
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-biology/biopython/biopython-1.77.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-biology/biopython/biopython-1.77.ebuild b/sci-biology/biopython/biopython-1.77.ebuild
index 486e9fe694d..a25abc9312c 100644
--- a/sci-biology/biopython/biopython-1.77.ebuild
+++ b/sci-biology/biopython/biopython-1.77.ebuild
@@ -5,7 +5,7 @@ EAPI=7
 
 PYTHON_COMPAT=( python3_{6..9} )
 
-inherit distutils-r1 eutils
+inherit distutils-r1 optfeature
 
 DESCRIPTION="Python modules for computational molecular biology"
 HOMEPAGE="https://www.biopython.org/ https://pypi.org/project/biopython/"


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/
@ 2020-08-22 12:06 David Seifert
  0 siblings, 0 replies; 20+ messages in thread
From: David Seifert @ 2020-08-22 12:06 UTC (permalink / raw
  To: gentoo-commits

commit:     422ca7a3d7fbb0f7e0a63a4f19934281226dcc49
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 22 12:06:34 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Aug 22 12:06:34 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=422ca7a3

sci-biology/biopython: Remove old 1.73

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-biology/biopython/Manifest              |  1 -
 sci-biology/biopython/biopython-1.73.ebuild | 57 -----------------------------
 2 files changed, 58 deletions(-)

diff --git a/sci-biology/biopython/Manifest b/sci-biology/biopython/Manifest
index cff73fbcbc3..420f6d1f83d 100644
--- a/sci-biology/biopython/Manifest
+++ b/sci-biology/biopython/Manifest
@@ -1,2 +1 @@
-DIST biopython-1.73.tar.gz 15715102 BLAKE2B b2c40f9ed02681f19607c88f91b469784985acefc6e81770a54e5c13c715915344bc7fd72e4a88ae50879a2463965ac6d0d04c6d263908887028d1e065620b95 SHA512 d067330ef8e25ca6881b56f4e5e89e16a816c89760473e2f32a6236ab202f805294650aa944f0b098987425bcb65727317da7a26deb4d4937f02b00123ea9a8f
 DIST biopython-1.77.tar.gz 16837021 BLAKE2B b5586f0ea3e476b11801dcc98039d5eea7b191e11d390192c0cf348018ded005fe2ad5dc9ba71c83aebc9cdde20c97244905dcc3aeb5436a97588da9f8c79c3e SHA512 6f4b03d46c591e1f49dd1e76bcc4ac5c9aaa2bf748c9dd37ffc5de5a613fbeed38f89b418c01601dd99c65b13b2e294bc8d81ffafc42a9ff1b309c84f840d0d5

diff --git a/sci-biology/biopython/biopython-1.73.ebuild b/sci-biology/biopython/biopython-1.73.ebuild
deleted file mode 100644
index 94acdfc2a2c..00000000000
--- a/sci-biology/biopython/biopython-1.73.ebuild
+++ /dev/null
@@ -1,57 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7} )
-inherit distutils-r1 eutils
-
-DESCRIPTION="Python modules for computational molecular biology"
-HOMEPAGE="https://www.biopython.org/ https://pypi.org/project/biopython/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="HPND"
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE=""
-
-RDEPEND="
-	dev-python/matplotlib[${PYTHON_USEDEP}]
-	dev-python/networkx[${PYTHON_USEDEP}]
-	dev-python/numpy[${PYTHON_USEDEP}]
-	dev-python/rdflib[${PYTHON_USEDEP}]
-	dev-python/pygraphviz[${PYTHON_USEDEP}]
-	>=dev-python/reportlab-3.5.13-r1[${PYTHON_USEDEP}]
-	dev-python/pydot[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
-	dev-python/setuptools[${PYTHON_USEDEP}]
-	sys-devel/flex"
-
-DOCS=( {CONTRIB,DEPRECATED,NEWS,README}.rst Doc/. )
-
-python_test() {
-	distutils_install_for_testing
-	cp -r "${S}"/{Doc,Tests} "${TEST_DIR}"/lib/ || die
-	cd "${TEST_DIR}"/lib/Tests || die
-	rm test_BioSQL_{psycopg2.py,MySQLdb.py,mysql_connector.py} || die
-	"${EPYTHON}" run_tests.py --offline --verbose || die
-}
-
-python_install_all() {
-	# remove files causing ecompressdir to fail
-	rm Doc/examples/ls_orchid.gbk.{gz,bz2} || die
-
-	distutils-r1_python_install_all
-
-	dodir /usr/share/${PN}
-	cp -r --preserve=mode Scripts Tests "${ED}"/usr/share/${PN} || die
-}
-
-pkg_postinst() {
-	elog "For database support you need to install:"
-	optfeature "MySQL" dev-python/mysql-python
-	optfeature "PostgreSQL" dev-python/psycopg
-
-	elog "Some applications need extra packages:"
-	optfeature "EMBOSS (The European Molecular Biology Open Software Suite)" sci-biology/emboss
-}


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/
@ 2020-08-21 23:21 David Seifert
  0 siblings, 0 replies; 20+ messages in thread
From: David Seifert @ 2020-08-21 23:21 UTC (permalink / raw
  To: gentoo-commits

commit:     6cbf10bd4d0104c5a03acc7bd54c1068e6b02de3
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 21 23:20:44 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Aug 21 23:20:44 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6cbf10bd

sci-biology/biopython: Version bump to 1.77

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-biology/biopython/Manifest              |  1 +
 sci-biology/biopython/biopython-1.77.ebuild | 62 +++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/sci-biology/biopython/Manifest b/sci-biology/biopython/Manifest
index ee3ffae9c3f..cff73fbcbc3 100644
--- a/sci-biology/biopython/Manifest
+++ b/sci-biology/biopython/Manifest
@@ -1 +1,2 @@
 DIST biopython-1.73.tar.gz 15715102 BLAKE2B b2c40f9ed02681f19607c88f91b469784985acefc6e81770a54e5c13c715915344bc7fd72e4a88ae50879a2463965ac6d0d04c6d263908887028d1e065620b95 SHA512 d067330ef8e25ca6881b56f4e5e89e16a816c89760473e2f32a6236ab202f805294650aa944f0b098987425bcb65727317da7a26deb4d4937f02b00123ea9a8f
+DIST biopython-1.77.tar.gz 16837021 BLAKE2B b5586f0ea3e476b11801dcc98039d5eea7b191e11d390192c0cf348018ded005fe2ad5dc9ba71c83aebc9cdde20c97244905dcc3aeb5436a97588da9f8c79c3e SHA512 6f4b03d46c591e1f49dd1e76bcc4ac5c9aaa2bf748c9dd37ffc5de5a613fbeed38f89b418c01601dd99c65b13b2e294bc8d81ffafc42a9ff1b309c84f840d0d5

diff --git a/sci-biology/biopython/biopython-1.77.ebuild b/sci-biology/biopython/biopython-1.77.ebuild
new file mode 100644
index 00000000000..486e9fe694d
--- /dev/null
+++ b/sci-biology/biopython/biopython-1.77.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Python modules for computational molecular biology"
+HOMEPAGE="https://www.biopython.org/ https://pypi.org/project/biopython/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="HPND"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+	dev-python/matplotlib[${PYTHON_USEDEP}]
+	dev-python/networkx[${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/rdflib[${PYTHON_USEDEP}]
+	dev-python/pygraphviz[${PYTHON_USEDEP}]
+	>=dev-python/reportlab-3.5.13-r1[${PYTHON_USEDEP}]
+	dev-python/pydot[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+BDEPEND="sys-devel/flex"
+
+DOCS=( {CONTRIB,DEPRECATED,NEWS,README}.rst Doc/. )
+
+python_test() {
+	distutils_install_for_testing
+	cp -r {Doc,Tests} "${TEST_DIR}"/lib/ || die
+
+	# need to create symlinks for doctests
+	mkdir -p "${TEST_DIR}"/lib/Bio/Align/substitution_matrices || die
+	ln -r -s "${S}"/Bio/Align/substitution_matrices/data \
+		"${TEST_DIR}"/lib/Bio/Align/substitution_matrices/data || die
+
+	cd "${TEST_DIR}"/lib/Tests || die
+	rm test_BioSQL_{psycopg2.py,MySQLdb.py,mysql_connector.py} || die
+	"${EPYTHON}" run_tests.py --offline --verbose || die
+}
+
+python_install_all() {
+	# remove files causing ecompressdir to fail
+	rm Doc/examples/ls_orchid.gbk.{gz,bz2} || die
+
+	distutils-r1_python_install_all
+
+	dodir /usr/share/${PN}
+	cp -r --preserve=mode Scripts Tests "${ED}"/usr/share/${PN} || die
+}
+
+pkg_postinst() {
+	elog "For database support you need to install:"
+	optfeature "MySQL" dev-python/mysql-python
+	optfeature "PostgreSQL" dev-python/psycopg
+
+	elog "Some applications need extra packages:"
+	optfeature "EMBOSS (The European Molecular Biology Open Software Suite)" sci-biology/emboss
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/
@ 2019-12-29 13:23 Andreas Sturmlechner
  0 siblings, 0 replies; 20+ messages in thread
From: Andreas Sturmlechner @ 2019-12-29 13:23 UTC (permalink / raw
  To: gentoo-commits

commit:     d2f6030aec456c8d6dd692b1d1bd90269e607544
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 28 16:48:55 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Dec 29 13:22:56 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d2f6030a

sci-biology/biopython: Drop python2_7

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 sci-biology/biopython/biopython-1.73.ebuild | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/sci-biology/biopython/biopython-1.73.ebuild b/sci-biology/biopython/biopython-1.73.ebuild
index f0d335a5933..340130b54c7 100644
--- a/sci-biology/biopython/biopython-1.73.ebuild
+++ b/sci-biology/biopython/biopython-1.73.ebuild
@@ -3,8 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
-
+PYTHON_COMPAT=( python3_{5,6,7} )
 inherit distutils-r1 eutils
 
 DESCRIPTION="Python modules for computational molecular biology"


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/
@ 2019-12-29  8:53 David Seifert
  0 siblings, 0 replies; 20+ messages in thread
From: David Seifert @ 2019-12-29  8:53 UTC (permalink / raw
  To: gentoo-commits

commit:     73c3e34900c4f49a05e4445033a21900b04e626e
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 29 08:53:09 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Dec 29 08:53:09 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=73c3e349

sci-biology/biopython: Remove old

Package-Manager: Portage-2.3.83, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-biology/biopython/Manifest              |  2 -
 sci-biology/biopython/biopython-1.68.ebuild | 55 ----------------------------
 sci-biology/biopython/biopython-1.71.ebuild | 57 -----------------------------
 3 files changed, 114 deletions(-)

diff --git a/sci-biology/biopython/Manifest b/sci-biology/biopython/Manifest
index 02d90810dc5..ee3ffae9c3f 100644
--- a/sci-biology/biopython/Manifest
+++ b/sci-biology/biopython/Manifest
@@ -1,3 +1 @@
-DIST biopython-1.68.tar.gz 14445813 BLAKE2B 566931c4e522e95278f7f6a9dc07ecc091dc54b69cdea8bb07603339af4f1fd38e3df87482e97729acb776dd2df19a4e61d49ee7608ec5cb0f24966e28c2e3dd SHA512 0ca994475654bb68ff326c8e86cbd4547cd87b42e1633dda039ad668e1298884b22e169f6b25ab514e929861334a93b7db6d057a3486cea9997ca2de95c61a69
-DIST biopython-1.71.tar.gz 16031832 BLAKE2B 2062065b77fc35ea8a3f09ec967482c233a6e0bbfc7d09187ff5e892848b45fa7bd6d7b6027b38c3d4c9a9c601785521fa7edb91fa960b46c8e49aed91b1f5dc SHA512 003955e92295e98526c88abb573db9bdc37877fc41395551b541e7106ffa603327a36c6f4d999838c0be38b378901235c9dbd7cb7fc25c14a5d7001939fe23bd
 DIST biopython-1.73.tar.gz 15715102 BLAKE2B b2c40f9ed02681f19607c88f91b469784985acefc6e81770a54e5c13c715915344bc7fd72e4a88ae50879a2463965ac6d0d04c6d263908887028d1e065620b95 SHA512 d067330ef8e25ca6881b56f4e5e89e16a816c89760473e2f32a6236ab202f805294650aa944f0b098987425bcb65727317da7a26deb4d4937f02b00123ea9a8f

diff --git a/sci-biology/biopython/biopython-1.68.ebuild b/sci-biology/biopython/biopython-1.68.ebuild
deleted file mode 100644
index f76da59c1b8..00000000000
--- a/sci-biology/biopython/biopython-1.68.ebuild
+++ /dev/null
@@ -1,55 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python2_7 python3_5 pypy )
-
-inherit distutils-r1 eutils
-
-DESCRIPTION="Python modules for computational molecular biology"
-HOMEPAGE="http://www.biopython.org/ https://pypi.org/project/biopython/"
-SRC_URI="http://www.biopython.org/DIST/${P}.tar.gz"
-
-LICENSE="HPND"
-SLOT="0"
-KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
-IUSE=""
-
-RDEPEND="
-	dev-python/matplotlib[$(python_gen_usedep 'python*')]
-	dev-python/networkx[$(python_gen_usedep 'python*')]
-	dev-python/numpy[$(python_gen_usedep 'python*')]
-	dev-python/rdflib[$(python_gen_usedep 'python*')]
-	dev-python/pygraphviz[$(python_gen_usedep 'python2*')]
-	dev-python/reportlab[$(python_gen_usedep 'python*')]
-	dev-python/pydot[$(python_gen_usedep 'python2*')]
-	"
-DEPEND="${RDEPEND}
-	sys-devel/flex"
-
-DOCS=( CONTRIB DEPRECATED NEWS README Doc/. )
-
-python_test() {
-	distutils_install_for_testing
-	cp -r "${S}"/{Doc,Tests} "${TEST_DIR}"/lib/ || die
-	cd "${TEST_DIR}"/lib/Tests || die
-	rm test_BioSQL_{psycopg2.py,MySQLdb.py,mysql_connector.py} || die
-	${PYTHON} run_tests.py --offline --verbose || die
-}
-
-python_install_all() {
-	distutils-r1_python_install_all
-
-	dodir /usr/share/${PN}
-	cp -r --preserve=mode Scripts Tests "${ED%/}"/usr/share/${PN} || die
-}
-
-pkg_postinst() {
-	elog "For database support you need to install:"
-	optfeature "MySQL" dev-python/mysql-python
-	optfeature "PostGreSQL" dev-python/psycopg
-	elog
-	elog "Some applications need extra packages:"
-	optfeature "EMBOSS (The European Molecular Biology Open Software Suite)" sci-biology/emboss
-}

diff --git a/sci-biology/biopython/biopython-1.71.ebuild b/sci-biology/biopython/biopython-1.71.ebuild
deleted file mode 100644
index 8b9a0cd7112..00000000000
--- a/sci-biology/biopython/biopython-1.71.ebuild
+++ /dev/null
@@ -1,57 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python2_7 python3_{5,6} )
-
-inherit distutils-r1 eutils
-
-DESCRIPTION="Python modules for computational molecular biology"
-HOMEPAGE="https://www.biopython.org/ https://pypi.org/project/biopython/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="HPND"
-SLOT="0"
-KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
-IUSE=""
-
-RDEPEND="
-	dev-python/matplotlib[${PYTHON_USEDEP}]
-	dev-python/networkx[${PYTHON_USEDEP}]
-	dev-python/numpy[${PYTHON_USEDEP}]
-	dev-python/rdflib[${PYTHON_USEDEP}]
-	dev-python/pygraphviz[${PYTHON_USEDEP}]
-	dev-python/reportlab[${PYTHON_USEDEP}]
-	dev-python/pydot[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
-	sys-devel/flex"
-
-DOCS=( CONTRIB DEPRECATED NEWS README Doc/. )
-
-python_test() {
-	distutils_install_for_testing
-	cp -r "${S}"/{Doc,Tests} "${TEST_DIR}"/lib/ || die
-	cd "${TEST_DIR}"/lib/Tests || die
-	rm test_BioSQL_{psycopg2.py,MySQLdb.py,mysql_connector.py} || die
-	"${EPYTHON}" run_tests.py --offline --verbose || die
-}
-
-python_install_all() {
-	# remove files causing ecompressdir to fail
-	rm Doc/examples/ls_orchid.gbk.bz2 || die
-
-	distutils-r1_python_install_all
-
-	dodir /usr/share/${PN}
-	cp -r --preserve=mode Scripts Tests "${ED}"/usr/share/${PN} || die
-}
-
-pkg_postinst() {
-	elog "For database support you need to install:"
-	optfeature "MySQL" dev-python/mysql-python
-	optfeature "PostGreSQL" dev-python/psycopg
-
-	elog "Some applications need extra packages:"
-	optfeature "EMBOSS (The European Molecular Biology Open Software Suite)" sci-biology/emboss
-}


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/
@ 2019-04-21 12:19 David Seifert
  0 siblings, 0 replies; 20+ messages in thread
From: David Seifert @ 2019-04-21 12:19 UTC (permalink / raw
  To: gentoo-commits

commit:     2838d71e279cd5d3975c88bc52d2ee43bf820f50
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 21 12:19:03 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Apr 21 12:19:03 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2838d71e

sci-biology/biopython: Bump to version 1.73

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-biology/biopython/Manifest              |  1 +
 sci-biology/biopython/biopython-1.73.ebuild | 58 +++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/sci-biology/biopython/Manifest b/sci-biology/biopython/Manifest
index 70af7c92d44..02d90810dc5 100644
--- a/sci-biology/biopython/Manifest
+++ b/sci-biology/biopython/Manifest
@@ -1,2 +1,3 @@
 DIST biopython-1.68.tar.gz 14445813 BLAKE2B 566931c4e522e95278f7f6a9dc07ecc091dc54b69cdea8bb07603339af4f1fd38e3df87482e97729acb776dd2df19a4e61d49ee7608ec5cb0f24966e28c2e3dd SHA512 0ca994475654bb68ff326c8e86cbd4547cd87b42e1633dda039ad668e1298884b22e169f6b25ab514e929861334a93b7db6d057a3486cea9997ca2de95c61a69
 DIST biopython-1.71.tar.gz 16031832 BLAKE2B 2062065b77fc35ea8a3f09ec967482c233a6e0bbfc7d09187ff5e892848b45fa7bd6d7b6027b38c3d4c9a9c601785521fa7edb91fa960b46c8e49aed91b1f5dc SHA512 003955e92295e98526c88abb573db9bdc37877fc41395551b541e7106ffa603327a36c6f4d999838c0be38b378901235c9dbd7cb7fc25c14a5d7001939fe23bd
+DIST biopython-1.73.tar.gz 15715102 BLAKE2B b2c40f9ed02681f19607c88f91b469784985acefc6e81770a54e5c13c715915344bc7fd72e4a88ae50879a2463965ac6d0d04c6d263908887028d1e065620b95 SHA512 d067330ef8e25ca6881b56f4e5e89e16a816c89760473e2f32a6236ab202f805294650aa944f0b098987425bcb65727317da7a26deb4d4937f02b00123ea9a8f

diff --git a/sci-biology/biopython/biopython-1.73.ebuild b/sci-biology/biopython/biopython-1.73.ebuild
new file mode 100644
index 00000000000..f0d335a5933
--- /dev/null
+++ b/sci-biology/biopython/biopython-1.73.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Python modules for computational molecular biology"
+HOMEPAGE="https://www.biopython.org/ https://pypi.org/project/biopython/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="HPND"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+	dev-python/matplotlib[${PYTHON_USEDEP}]
+	dev-python/networkx[${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/rdflib[${PYTHON_USEDEP}]
+	dev-python/pygraphviz[${PYTHON_USEDEP}]
+	>=dev-python/reportlab-3.5.13-r1[${PYTHON_USEDEP}]
+	dev-python/pydot[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	sys-devel/flex"
+
+DOCS=( {CONTRIB,DEPRECATED,NEWS,README}.rst Doc/. )
+
+python_test() {
+	distutils_install_for_testing
+	cp -r "${S}"/{Doc,Tests} "${TEST_DIR}"/lib/ || die
+	cd "${TEST_DIR}"/lib/Tests || die
+	rm test_BioSQL_{psycopg2.py,MySQLdb.py,mysql_connector.py} || die
+	"${EPYTHON}" run_tests.py --offline --verbose || die
+}
+
+python_install_all() {
+	# remove files causing ecompressdir to fail
+	rm Doc/examples/ls_orchid.gbk.{gz,bz2} || die
+
+	distutils-r1_python_install_all
+
+	dodir /usr/share/${PN}
+	cp -r --preserve=mode Scripts Tests "${ED}"/usr/share/${PN} || die
+}
+
+pkg_postinst() {
+	elog "For database support you need to install:"
+	optfeature "MySQL" dev-python/mysql-python
+	optfeature "PostgreSQL" dev-python/psycopg
+
+	elog "Some applications need extra packages:"
+	optfeature "EMBOSS (The European Molecular Biology Open Software Suite)" sci-biology/emboss
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/
@ 2018-07-01 15:19 Pacho Ramos
  0 siblings, 0 replies; 20+ messages in thread
From: Pacho Ramos @ 2018-07-01 15:19 UTC (permalink / raw
  To: gentoo-commits

commit:     1a6fc78f6c7bb3bfce5c0f56ccd72a62ff116e02
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Jul  1 15:16:32 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Jul  1 15:19:30 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a6fc78f

sci-biology/biopython: amd64 stable, bug #659292

Package-Manager: Portage-2.3.41, Repoman-2.3.9

 sci-biology/biopython/biopython-1.71.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-biology/biopython/biopython-1.71.ebuild b/sci-biology/biopython/biopython-1.71.ebuild
index f770b57a2a6..222bf460e3e 100644
--- a/sci-biology/biopython/biopython-1.71.ebuild
+++ b/sci-biology/biopython/biopython-1.71.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 
 LICENSE="HPND"
 SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 ~x86 ~amd64-linux ~x86-linux"
 IUSE=""
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/
@ 2018-05-27 14:31 David Seifert
  0 siblings, 0 replies; 20+ messages in thread
From: David Seifert @ 2018-05-27 14:31 UTC (permalink / raw
  To: gentoo-commits

commit:     31a70e941154558bcf8afe94c3dd16c90d4f4e40
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun May 27 14:31:03 2018 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun May 27 14:31:36 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31a70e94

sci-biology/biopython: Bump to 1.71

Closes: https://bugs.gentoo.org/653006
Package-Manager: Portage-2.3.40, Repoman-2.3.9

 sci-biology/biopython/Manifest              |  1 +
 sci-biology/biopython/biopython-1.71.ebuild | 57 +++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/sci-biology/biopython/Manifest b/sci-biology/biopython/Manifest
index 55331efbbcb..70af7c92d44 100644
--- a/sci-biology/biopython/Manifest
+++ b/sci-biology/biopython/Manifest
@@ -1 +1,2 @@
 DIST biopython-1.68.tar.gz 14445813 BLAKE2B 566931c4e522e95278f7f6a9dc07ecc091dc54b69cdea8bb07603339af4f1fd38e3df87482e97729acb776dd2df19a4e61d49ee7608ec5cb0f24966e28c2e3dd SHA512 0ca994475654bb68ff326c8e86cbd4547cd87b42e1633dda039ad668e1298884b22e169f6b25ab514e929861334a93b7db6d057a3486cea9997ca2de95c61a69
+DIST biopython-1.71.tar.gz 16031832 BLAKE2B 2062065b77fc35ea8a3f09ec967482c233a6e0bbfc7d09187ff5e892848b45fa7bd6d7b6027b38c3d4c9a9c601785521fa7edb91fa960b46c8e49aed91b1f5dc SHA512 003955e92295e98526c88abb573db9bdc37877fc41395551b541e7106ffa603327a36c6f4d999838c0be38b378901235c9dbd7cb7fc25c14a5d7001939fe23bd

diff --git a/sci-biology/biopython/biopython-1.71.ebuild b/sci-biology/biopython/biopython-1.71.ebuild
new file mode 100644
index 00000000000..f770b57a2a6
--- /dev/null
+++ b/sci-biology/biopython/biopython-1.71.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Python modules for computational molecular biology"
+HOMEPAGE="https://www.biopython.org/ https://pypi.org/project/biopython/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="HPND"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+	dev-python/matplotlib[${PYTHON_USEDEP}]
+	dev-python/networkx[${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/rdflib[${PYTHON_USEDEP}]
+	dev-python/pygraphviz[${PYTHON_USEDEP}]
+	dev-python/reportlab[${PYTHON_USEDEP}]
+	dev-python/pydot[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+	sys-devel/flex"
+
+DOCS=( CONTRIB DEPRECATED NEWS README Doc/. )
+
+python_test() {
+	distutils_install_for_testing
+	cp -r "${S}"/{Doc,Tests} "${TEST_DIR}"/lib/ || die
+	cd "${TEST_DIR}"/lib/Tests || die
+	rm test_BioSQL_{psycopg2.py,MySQLdb.py,mysql_connector.py} || die
+	"${EPYTHON}" run_tests.py --offline --verbose || die
+}
+
+python_install_all() {
+	# remove files causing ecompressdir to fail
+	rm Doc/examples/ls_orchid.gbk.bz2 || die
+
+	distutils-r1_python_install_all
+
+	dodir /usr/share/${PN}
+	cp -r --preserve=mode Scripts Tests "${ED}"/usr/share/${PN} || die
+}
+
+pkg_postinst() {
+	elog "For database support you need to install:"
+	optfeature "MySQL" dev-python/mysql-python
+	optfeature "PostGreSQL" dev-python/psycopg
+
+	elog "Some applications need extra packages:"
+	optfeature "EMBOSS (The European Molecular Biology Open Software Suite)" sci-biology/emboss
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/
@ 2017-02-02 18:43 David Seifert
  0 siblings, 0 replies; 20+ messages in thread
From: David Seifert @ 2017-02-02 18:43 UTC (permalink / raw
  To: gentoo-commits

commit:     96a447fb3d267e8df35abca48f8bdf3cb3ba0627
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  2 18:18:30 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Feb  2 18:43:17 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=96a447fb

sci-biology/biopython: Remove ppc from KEYWORDS

Package-Manager: Portage-2.3.3, Repoman-2.3.1
Closes: https://github.com/gentoo/gentoo/pull/3766

 sci-biology/biopython/biopython-1.68.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-biology/biopython/biopython-1.68.ebuild b/sci-biology/biopython/biopython-1.68.ebuild
index 5bf6fa6..8a75334 100644
--- a/sci-biology/biopython/biopython-1.68.ebuild
+++ b/sci-biology/biopython/biopython-1.68.ebuild
@@ -14,7 +14,7 @@ SRC_URI="http://www.biopython.org/DIST/${P}.tar.gz"
 
 LICENSE="HPND"
 SLOT="0"
-KEYWORDS="amd64 ppc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
 IUSE=""
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/
@ 2016-09-03 11:24 David Seifert
  0 siblings, 0 replies; 20+ messages in thread
From: David Seifert @ 2016-09-03 11:24 UTC (permalink / raw
  To: gentoo-commits

commit:     7440b9fd9976ffc4cbca598082c9e52f541040c8
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  3 11:24:35 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Sep  3 11:24:52 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7440b9fd

sci-biology/biopython: Version bump

Package-Manager: portage-2.3.0

 sci-biology/biopython/Manifest              |  1 +
 sci-biology/biopython/biopython-1.68.ebuild | 56 +++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/sci-biology/biopython/Manifest b/sci-biology/biopython/Manifest
index a54d05e..9e5a8d9 100644
--- a/sci-biology/biopython/Manifest
+++ b/sci-biology/biopython/Manifest
@@ -1,2 +1,3 @@
 DIST biopython-1.65.tar.gz 12641342 SHA256 463cc81db84e9bfcdfb15629511c81ed556a6c0287e670dbfe80f03c65d2a88e SHA512 2a9c6a89d0279374c243938d13bfdd6f2b124a08afbfb0c262e1e4827c48a141fb9941f4cdb960f76b523f0ac152095a8c6ea566d9b469ce9daf8a7e7993f7af WHIRLPOOL 40757938c0eb7e30c9609ef5aa2d397fa21ad92cd20c9b6300cde1b381a0e6c21e4ebb7f4d25bf02651789437d7d86341154b907ccc0007759c17939f2e29da2
 DIST biopython-1.66.tar.gz 13724754 SHA256 5178ea3b343b1d8710f39205386093e5369ed653aa020e1b0c4b7622a59346c1 SHA512 6bb01f1058728f957527447df82ffbb9027e74564e81c8308b3404d033a0f12fef50da05b343bd4c4eae98508931eedc9c4bc23b2efdf36bbb49f1557fa52d71 WHIRLPOOL 0cfe3f4829ec72afa466b17cf6745cc334105713ebeeb06019e2df94acc1289aeb07a7bba70a50afeae00de90c48d2455a1af8cf26f916ceb4c0ab92a4a05fbd
+DIST biopython-1.68.tar.gz 14445813 SHA256 d1dc09d1ddc8e90833f507cf09f80fa9ee1537d319058d1c44fe9c09be3d0c1f SHA512 0ca994475654bb68ff326c8e86cbd4547cd87b42e1633dda039ad668e1298884b22e169f6b25ab514e929861334a93b7db6d057a3486cea9997ca2de95c61a69 WHIRLPOOL 9348354d0063efe0f9051f46e3be60540c5df21a43c094d74e64d37279736921d890cd639c904336eb21b2996e9948b8a050017b77569d2333ac80aa5b8bf156

diff --git a/sci-biology/biopython/biopython-1.68.ebuild b/sci-biology/biopython/biopython-1.68.ebuild
new file mode 100644
index 00000000..265181c
--- /dev/null
+++ b/sci-biology/biopython/biopython-1.68.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Python modules for computational molecular biology"
+HOMEPAGE="http://www.biopython.org/ https://pypi.python.org/pypi/biopython/"
+SRC_URI="http://www.biopython.org/DIST/${P}.tar.gz"
+
+LICENSE="HPND"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+	dev-python/matplotlib[$(python_gen_usedep 'python*')]
+	dev-python/networkx[$(python_gen_usedep 'python*')]
+	dev-python/numpy[$(python_gen_usedep 'python*')]
+	dev-python/rdflib[$(python_gen_usedep 'python*')]
+	dev-python/pygraphviz[$(python_gen_usedep 'python2*')]
+	dev-python/reportlab[$(python_gen_usedep 'python*')]
+	media-gfx/pydot[$(python_gen_usedep 'python2*')]
+	"
+DEPEND="${RDEPEND}
+	sys-devel/flex"
+
+DOCS=( CONTRIB DEPRECATED NEWS README Doc/. )
+
+python_test() {
+	distutils_install_for_testing
+	cp -r "${S}"/{Doc,Tests} "${TEST_DIR}"/lib/ || die
+	cd "${TEST_DIR}"/lib/Tests || die
+	rm test_BioSQL_{psycopg2.py,MySQLdb.py,mysql_connector.py} || die
+	${PYTHON} run_tests.py --offline --verbose || die
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+
+	dodir /usr/share/${PN}
+	cp -r --preserve=mode Scripts Tests "${ED%/}"/usr/share/${PN} || die
+}
+
+pkg_postinst() {
+	elog "For database support you need to install:"
+	optfeature "MySQL" dev-python/mysql-python
+	optfeature "PostGreSQL" dev-python/psycopg
+	elog
+	elog "Some applications need extra packages:"
+	optfeature "EMBOSS (The European Molecular Biology Open Software Suite)" sci-biology/emboss
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/
@ 2016-03-27 17:44 David Seifert
  0 siblings, 0 replies; 20+ messages in thread
From: David Seifert @ 2016-03-27 17:44 UTC (permalink / raw
  To: gentoo-commits

commit:     3263d4e22681ee9a7061e72ae43e031edf23141b
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 27 17:43:36 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Mar 27 17:44:07 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3263d4e2

sci-biology/biopython: Add python3_5 support

Package-Manager: portage-2.2.28

 sci-biology/biopython/biopython-1.66.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sci-biology/biopython/biopython-1.66.ebuild b/sci-biology/biopython/biopython-1.66.ebuild
index d5c5fb6..f791b83 100644
--- a/sci-biology/biopython/biopython-1.66.ebuild
+++ b/sci-biology/biopython/biopython-1.66.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
 EAPI=5
 
-PYTHON_COMPAT=( python2_7 python3_{3,4} pypy )
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy )
 
 inherit distutils-r1 eutils
 


^ permalink raw reply related	[flat|nested] 20+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/
@ 2015-10-26 10:30 Justin Lecher
  0 siblings, 0 replies; 20+ messages in thread
From: Justin Lecher @ 2015-10-26 10:30 UTC (permalink / raw
  To: gentoo-commits

commit:     f40ae6aa62652f4c594808356512cc822aebd8aa
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 26 10:29:44 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Oct 26 10:30:01 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f40ae6aa

sci-biology/biopython: Version Bump

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 sci-biology/biopython/Manifest              |  1 +
 sci-biology/biopython/biopython-1.66.ebuild | 56 +++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/sci-biology/biopython/Manifest b/sci-biology/biopython/Manifest
index e835e24..a54d05e 100644
--- a/sci-biology/biopython/Manifest
+++ b/sci-biology/biopython/Manifest
@@ -1 +1,2 @@
 DIST biopython-1.65.tar.gz 12641342 SHA256 463cc81db84e9bfcdfb15629511c81ed556a6c0287e670dbfe80f03c65d2a88e SHA512 2a9c6a89d0279374c243938d13bfdd6f2b124a08afbfb0c262e1e4827c48a141fb9941f4cdb960f76b523f0ac152095a8c6ea566d9b469ce9daf8a7e7993f7af WHIRLPOOL 40757938c0eb7e30c9609ef5aa2d397fa21ad92cd20c9b6300cde1b381a0e6c21e4ebb7f4d25bf02651789437d7d86341154b907ccc0007759c17939f2e29da2
+DIST biopython-1.66.tar.gz 13724754 SHA256 5178ea3b343b1d8710f39205386093e5369ed653aa020e1b0c4b7622a59346c1 SHA512 6bb01f1058728f957527447df82ffbb9027e74564e81c8308b3404d033a0f12fef50da05b343bd4c4eae98508931eedc9c4bc23b2efdf36bbb49f1557fa52d71 WHIRLPOOL 0cfe3f4829ec72afa466b17cf6745cc334105713ebeeb06019e2df94acc1289aeb07a7bba70a50afeae00de90c48d2455a1af8cf26f916ceb4c0ab92a4a05fbd

diff --git a/sci-biology/biopython/biopython-1.66.ebuild b/sci-biology/biopython/biopython-1.66.ebuild
new file mode 100644
index 0000000..d5c5fb6
--- /dev/null
+++ b/sci-biology/biopython/biopython-1.66.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} pypy )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Python modules for computational molecular biology"
+HOMEPAGE="http://www.biopython.org/ https://pypi.python.org/pypi/biopython/"
+SRC_URI="http://www.biopython.org/DIST/${P}.tar.gz"
+
+LICENSE="HPND"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+	dev-python/matplotlib[$(python_gen_usedep 'python*')]
+	dev-python/networkx[$(python_gen_usedep 'python*')]
+	dev-python/numpy[$(python_gen_usedep 'python*')]
+	dev-python/rdflib[$(python_gen_usedep 'python*')]
+	dev-python/pygraphviz[$(python_gen_usedep 'python2*')]
+	dev-python/reportlab[$(python_gen_usedep 'python*')]
+	media-gfx/pydot[$(python_gen_usedep 'python2*')]
+	"
+DEPEND="${RDEPEND}
+	sys-devel/flex"
+
+DOCS=( CONTRIB DEPRECATED NEWS README Doc/. )
+
+python_test() {
+	distutils_install_for_testing
+	cp -r "${S}"/{Doc,Tests} "${TEST_DIR}"/lib/ || die
+	cd "${TEST_DIR}"/lib/Tests || die
+	rm ./test_BioSQL_psycopg2.py ./test_BioSQL_MySQLdb.py ./test_BioSQL_mysql_connector.py || die
+	${PYTHON} run_tests.py --offline --verbose || die
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+
+	dodir /usr/share/${PN}
+	cp -r --preserve=mode Scripts Tests "${ED}"/usr/share/${PN} || die
+}
+
+pkg_postinst() {
+	elog "For database support you need to install:"
+	optfeature "MySQL" dev-python/mysql-python
+	optfeature "PostGreSQL" dev-python/psycopg
+	echo
+	elog "Some applications need extra packages:"
+	optfeature "EMBOSS (The European Molecular Biology Open Software Suite)" sci-biology/emboss
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread

end of thread, other threads:[~2024-06-05 17:27 UTC | newest]

Thread overview: 20+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-02-24  7:30 [gentoo-commits] repo/gentoo:master commit in: sci-biology/biopython/ Andrew Ammerlaan
  -- strict thread matches above, loose matches on Subject: below --
2024-06-05 17:27 Alexey Shvetsov
2023-07-29 22:16 David Seifert
2023-04-16 12:36 David Seifert
2022-06-04  7:42 Michał Górny
2021-12-30 18:12 David Seifert
2021-12-20 13:33 David Seifert
2021-04-04 18:55 Andreas Sturmlechner
2020-09-07  8:55 David Seifert
2020-08-22 12:06 David Seifert
2020-08-21 23:21 David Seifert
2019-12-29 13:23 Andreas Sturmlechner
2019-12-29  8:53 David Seifert
2019-04-21 12:19 David Seifert
2018-07-01 15:19 Pacho Ramos
2018-05-27 14:31 David Seifert
2017-02-02 18:43 David Seifert
2016-09-03 11:24 David Seifert
2016-03-27 17:44 David Seifert
2015-10-26 10:30 Justin Lecher

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox